org.apache.storm.generated

## Class Nimbus.activate_result

- java.lang.Object
- - org.apache.storm.generated.Nimbus.activate_result

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<Nimbus.activate_result>, org.apache.storm.thrift.TBase<Nimbus.activate_result,Nimbus.activate_result._Fields>, org.apache.storm.thrift.TSerializable
  Enclosing class:
    Nimbus

      public static class Nimbus.activate_result
      extends Object
      implements org.apache.storm.thrift.TBase<Nimbus.activate_result,Nimbus.activate_result._Fields>, Serializable, Cloneable, Comparable<Nimbus.activate_result>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Nimbus.activate_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<Nimbus.activate_result._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `activate_result()`
    `activate_result(Nimbus.activate_result other)` Performs a deep copy on other.
    `activate_result(NotAliveException e, AuthorizationException aze)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Nimbus.activate_result other)`
    `Nimbus.activate_result` | `deepCopy()`
    `boolean` | `equals(Nimbus.activate_result that)`
    `boolean` | `equals(Object that)`
    `Nimbus.activate_result._Fields` | `fieldForId(int fieldId)`
    `AuthorizationException` | `get_aze()`
    `NotAliveException` | `get_e()`
    `Object` | `getFieldValue(Nimbus.activate_result._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_aze()` Returns true if field aze is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_e()` Returns true if field e is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(Nimbus.activate_result._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_aze_isSet(boolean value)`
    `void` | `set_aze(AuthorizationException aze)`
    `void` | `set_e_isSet(boolean value)`
    `void` | `set_e(NotAliveException e)`
    `void` | `setFieldValue(Nimbus.activate_result._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_aze()`
    `void` | `unset_e()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<Nimbus.activate_result._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### activate_result

          public activate_result()

    - #### activate_result

          public activate_result(NotAliveException e,
                                 AuthorizationException aze)

    - #### activate_result

          public activate_result(Nimbus.activate_result other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Nimbus.activate_result deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<Nimbus.activate_result,Nimbus.activate_result._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<Nimbus.activate_result,Nimbus.activate_result._Fields>`

    - #### get_e

          public NotAliveException get_e()

    - #### set_e

          public void set_e(NotAliveException e)

    - #### unset_e

          public void unset_e()

    - #### is_set_e

          public boolean is_set_e()

      Returns true if field e is set (has been assigned a value) and false otherwise

    - #### set_e_isSet

          public void set_e_isSet(boolean value)

    - #### get_aze

          public AuthorizationException get_aze()

    - #### set_aze

          public void set_aze(AuthorizationException aze)

    - #### unset_aze

          public void unset_aze()

    - #### is_set_aze

          public boolean is_set_aze()

      Returns true if field aze is set (has been assigned a value) and false otherwise

    - #### set_aze_isSet

          public void set_aze_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Nimbus.activate_result._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<Nimbus.activate_result,Nimbus.activate_result._Fields>`

    - #### getFieldValue

          public Object getFieldValue(Nimbus.activate_result._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<Nimbus.activate_result,Nimbus.activate_result._Fields>`

    - #### isSet

          public boolean isSet(Nimbus.activate_result._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<Nimbus.activate_result,Nimbus.activate_result._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(Nimbus.activate_result that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(Nimbus.activate_result other)

      Specified by:
        `compareTo` in interface `Comparable<Nimbus.activate_result>`

    - #### fieldForId

          public Nimbus.activate_result._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<Nimbus.activate_result,Nimbus.activate_result._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.